Subject: Re: [RFC PATCH v2 2/7] object: move function to object.c

From: Junio C Hamano <[email-masked]>
Date: Thu, 10 Aug 2023 15:43:00 -0700

Glen Choo <[email-masked]> writes:

> Minor point: I think a better home might be entry.[ch], because those
> files care about performing changes on the worktree based on the
> Git-specific file modes in the index, whereas object.[ch] seems more
> concerned about the format of objects.

Yeah, I wasn't paying much attention on that point while reading the
patch, and I do agree with you that entry.[ch] may be a better fit.

Thanks.